## ros-humble-ds-dbw-can 2.1.16

=== debian/changelog ===
ros-humble-ds-dbw-can (2.1.16-1bookworm) bookworm; urgency=high

  * Bump firmware versions to match 2024/06/17 release package
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Sun, 16 Jun 2024 16:00:00 -0000

ros-humble-ds-dbw-can (2.1.15-1bookworm) bookworm; urgency=high

  * Bump firmware versions to match 2024/06/07 release package
  * Separate Polaris RZR into RXR-R and RXR-XP
  * Brake on comms loss and system lockout
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Thu, 06 Jun 2024 16:00:00 -0000

ros-humble-ds-dbw-can (2.1.14-1bookworm) bookworm; urgency=high

  * Bump firmware versions to match 2024/05/30 release package
  * Print remote control status
  * Print system sync mode
  * Add gear command option for calibration
  * Add gear fault_actuator_config diagnostic
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Tue, 28 May 2024 16:00:00 -0000

ros-humble-ds-dbw-can (2.1.13-1bookworm) bookworm; urgency=high

  * Bump firmware versions to match 2024/05/13 release package
  * Add gear reject enumeration for excessive vehicle speed
  * Add Fort Robotics CAN IDs that may be present on the DBW CAN bus
  * Handle MsgMiscReport1 without MsgMiscReport2
  * Add support for Polaris RZR platform
  * Add support for MKZ/Fusion (CD4) platform
  * Add actuator pedal position quality diagnostics
  * Distinguish between brake hold actions and external brake actions
  * Publish EcuInfo message without config fields populated
  * Add logging status to EcuInfo message
  * Add missing header stamp on diagnostic messages
  * Finish porting throttle sweep script to DBW2
  * Mask ULC enable command with system enable when mode sync is diabled
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Sun, 12 May 2024 16:00:00 -0000

ros-humble-ds-dbw-can (2.1.12-1bookworm) bookworm; urgency=high

  * Bump firmware versions to match 2024/04/02 release package
  * Add Lincoln Aviator (U6) platform
  * Add support for DBW Monitor module
  * Set clear flag in ULC command when firmware is configured for mode-sync
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Sun, 31 Mar 2024 16:00:00 -0000

ros-humble-ds-dbw-can (2.1.11-1bookworm) bookworm; urgency=high

  * Bump firmware versions to match 2024/03/05 release package
  * Add control performance fault
  * Add reserved debug message
  * Add support for system lockout
  * Use system enable/disable buttons when mode-sync is inactive
  * Initialize CAN message class variables to zero
  * Print unknown module ID as hex
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Mon, 04 Mar 2024 16:00:00 -0000

ros-humble-ds-dbw-can (2.1.10-1bookworm) bookworm; urgency=high



 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Mon, 26 Feb 2024 16:00:00 -0000

ros-humble-ds-dbw-can (2.1.9-1bookworm) bookworm; urgency=high

  * Add missing rclcpp_components dependency to package.xml
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Thu, 22 Feb 2024 16:00:00 -0000

ros-humble-ds-dbw-can (2.1.8-1bookworm) bookworm; urgency=high

  * Bump firmware versions to match 2024/02/21 release package
  * PlatformMap as sparse std::map instead of dense std::array
  * Platform/Module from EcuInfo
  * Rename LimitHash to ParamHash
  * Fix ULC config message transmit rate
  * Add warnings for ULC preemption and lack of CRC/RC validation
  * ULC demo scripts converted to DBW 2
  * Contributors: Kevin Hallenbeck, Micho Radovnikovich

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Mon, 19 Feb 2024 16:00:00 -0000

ros-humble-ds-dbw-can (2.1.7-1bookworm) bookworm; urgency=high

  * Bump firmware versions to match 2024/02/12 release package
  * Add support for system sync option
  * Fix unused brake accel command scaling
  * Steering wheel angle as degrees instead of radians
  * Add brake vacuum pressure
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Sun, 11 Feb 2024 16:00:00 -0000

ros-humble-ds-dbw-can (2.1.6-1bookworm) bookworm; urgency=high

  * Command limits vs vehicle speed
  * Report calculated steer value/rate limits
  * Report brake/throttle value limits
  * Add warning on invalid steer/brake/throttle limit parameters
  * Print limit hashes
  * Refactor
  * Add reserved CAN message
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Mon, 15 Jan 2024 16:00:00 -0000

ros-humble-ds-dbw-can (2.1.5-1bookworm) bookworm; urgency=high

  * Bump firmware versions to match 2024/01/02 release package
  * Warn when the incorrect DBW1/DBW2 package is used at runtime and suggest the correct package
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Tue, 02 Jan 2024 16:00:00 -0000

ros-humble-ds-dbw-can (2.1.4-1bookworm) bookworm; urgency=high

  * Single package for all platforms with new DBW2 CAN API
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Tue, 12 Dec 2023 16:00:00 -0000
