=== debian/control ===
Source: ros-humble-ds-dbw-can
Section: misc
Priority: optional
Maintainer: Kevin Hallenbeck <khallenbeck@dataspeedinc.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-cmake-gtest <!nocheck>, ros-humble-can-msgs, ros-humble-dataspeed-can-msg-filters, ros-humble-ds-dbw-msgs, ros-humble-rclcpp, ros-humble-rclcpp-components, ros-humble-sensor-msgs, ros-humble-std-msgs, ros-humble-ros-workspace
Homepage: http://dataspeedinc.com
Standards-Version: 3.9.2

Package: ros-humble-ds-dbw-can
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-can-msgs, ros-humble-dataspeed-can-usb, ros-humble-ds-dbw-msgs, ros-humble-rclcpp, ros-humble-rclcpp-components, ros-humble-sensor-msgs, ros-humble-std-msgs, ros-humble-ros-workspace
Description: Interface to the Dataspeed Inc.
 Drive-By-Wire kit
